import '../common/codable.dart';
import '../common/media_attachment.dart';
import 'activitybutton.dart';
import 'pollcontent.dart';

/// Describe ActivityContent object.
class ActivityContent extends Encodable {
  String? text;
  List<MediaAttachment> attachments = [];
  ActivityButton? activityButton;
  Map<String, String> properties = {};
  List<String> labels = [];
  PollContent? poll;

  Map<String, dynamic> toJSON() => {
        'attachments': attachments.map((e) => e.toJSON()).toList(),
        'button': activityButton?.toJSON(),
        'labels': labels,
        'poll': poll?.toJSON(),
        'properties': properties,
        'text': text,
      };
}
