import '../src/utils.dart';

/// Describe CommunitiesSettings object.
class CommunitiesSettings {
  CommunitiesSettings.fromJSON(Map<String, dynamic> json)
      : allowedActions = Utils.createIntBoolMap(json['allowedActions']),
        properties = Utils.createStringStringMap(json['properties']),
        labels = Utils.createStringList(json['labels']),
        isPrivate = json['isPrivate'] == true,
        isDiscoverable = json['isDiscoverable'] == true,
        permissions = Utils.createIntIntMap(json['permissions']);

  Map<int, bool> allowedActions;
  Map<String, String> properties;
  List<String> labels;
  bool isPrivate;
  bool isDiscoverable;
  Map<int, int> permissions = {};

  /// Check if action is allowed.
  /// [action]  Action to check, check CommunitiesEntityAction for possible values.
  bool isActionAllowed(int action) {
    return allowedActions[action] ?? false;
  }

  @override
  String toString() {
    return 'CommunitiesSettings{'
        'allowedActions: $allowedActions, '
        'properties: $properties,'
        'labels: $labels,'
        'isPrivate: $isPrivate,'
        'isDiscoverable: $isDiscoverable,'
        'permissions: $permissions,'
        '}';
  }
}
