import '../../common/codable.dart';
import '../../common/public.dart';
import '../../src/communitiesids.dart';

class FollowersQuery extends Encodable {
  late CommunitiesIds ids;
  String? name;

  FollowersQuery(CommunitiesIds ids) {
    this.ids = ids;
  }

  static FollowersQuery ofTopic(String id) {
    return FollowersQuery(CommunitiesIds.topic(id));
  }

  static FollowersQuery ofGroup(String id) {
    return FollowersQuery(CommunitiesIds.group(id));
  }

  static FollowersQuery ofUser(UserId id) {
    return FollowersQuery(CommunitiesIds.user(id));
  }

  static FollowersQuery ofLabel(String label) {
    return FollowersQuery(CommunitiesIds.label(label));
  }

  static FollowersQuery ofTag(String tag) {
    return FollowersQuery(CommunitiesIds.tag(tag));
  }

  FollowersQuery withName(String name) {
    this.name = name;
    return this;
  }

  Map<String, dynamic> toJSON() => {'ids': ids.toJSON(), 'searchTerm': name};
}
