import '../../common/codable.dart';
import '../../common/useridlist.dart';
import '../../src/communitiesids.dart';

class FollowQuery extends Encodable {
  late CommunitiesIds ids;

  FollowQuery(CommunitiesIds ids) {
    this.ids = ids;
  }

  static FollowQuery topics(List<String> ids) {
    return FollowQuery(CommunitiesIds.topics(ids));
  }

  static FollowQuery groups(List<String> ids) {
    return FollowQuery(CommunitiesIds.groups(ids));
  }

  static FollowQuery users(UserIdList ids) {
    return FollowQuery(CommunitiesIds.users(ids));
  }

  static FollowQuery tags(List<String> tags) {
    return FollowQuery(CommunitiesIds.tags(tags));
  }

  static FollowQuery labels(List<String> labels) {
    return FollowQuery(CommunitiesIds.labels(labels));
  }

  Map<String, dynamic> toJSON() => {
        'ids': ids.toJSON(),
      };
}
