import '../../common/codable.dart';
import '../../common/userid.dart';

class LabelsQuery extends Encodable {
  String? searchTerm;
  bool trending = false;
  UserId? follower;

  LabelsQuery(String? searchTerm) {
    this.searchTerm = searchTerm;
  }

  static LabelsQuery find(String searchTerm) {
    return LabelsQuery(searchTerm);
  }

  static LabelsQuery all() {
    return LabelsQuery(null);
  }

  LabelsQuery onlyTrending(bool trending) {
    this.trending = trending;
    return this;
  }

  LabelsQuery followedBy(UserId id) {
    this.follower = id;
    return this;
  }

  Map<String, dynamic> toJSON() => {
        'followerId': follower?.toJSON(),
        'query': searchTerm,
        'trending': trending
      };
}
