import '../../common/codable.dart';
import '../../common/userid.dart';
import '../postactivitytarget.dart';

class TagsQuery extends Encodable {
  String? searchTerm;
  PostActivityTarget? target;
  bool trending = false;
  UserId? follower;

  TagsQuery(String? searchTerm) {
    this.searchTerm = searchTerm;
  }

  static TagsQuery find(String searchTerm) {
    return TagsQuery(searchTerm);
  }

  static TagsQuery all() {
    return TagsQuery(null);
  }

  TagsQuery inTarget(PostActivityTarget target) {
    this.target = target;
    return this;
  }

  TagsQuery onlyTrending(bool trending) {
    this.trending = trending;
    return this;
  }

  TagsQuery followedBy(UserId id) {
    this.follower = id;
    return this;
  }

  Map<String, dynamic> toJSON() => {
        'followerId': follower?.toJSON(),
        'query': searchTerm,
        'target': target?.toJSON(),
        'trending': trending
      };
}
