import '../../common/codable.dart';
import '../../common/userid.dart';

class UsersQuery extends Encodable {
  String? _searchTerm;
  UserId? _followedBy;
  bool _suggested = false;

  UsersQuery(String? searchTerm) {
    this._searchTerm = searchTerm;
  }

  static UsersQuery find(String searchTerm) {
    return UsersQuery(searchTerm);
  }

  static UsersQuery followedBy(UserId id) {
    var query = UsersQuery(null);
    query._followedBy = id;
    return query;
  }

  static UsersQuery suggested() {
    var query = UsersQuery(null);
    query._suggested = true;
    return query;
  }

  Map<String, dynamic> toJSON() => {
        'followedBy': _followedBy?.toJSON(),
        'query': _searchTerm,
        'suggested': _suggested,
      };
}
