/// Describe Tag object.
class Tag {
  Tag.fromJSON(Map<String, dynamic> json)
      : name = json['name'],
        followersCount = json['followersCount'],
        activitiesCount = json['activitiesCount'],
        isFollowedByMe = json['isFollowedByMe'],
        popularity =
            json['popularity'] == null ? 0 : json['popularity'].toDouble();

  String name;
  int followersCount;
  int activitiesCount;
  bool isFollowedByMe;
  double popularity = 0;

  @override
  String toString() {
    return 'Tag{'
        'name: $name, '
        'followersCount: $followersCount,'
        'activitiesCount: $activitiesCount,'
        'isFollowedByMe: $isFollowedByMe,'
        'popularity: $popularity'
        '}';
  }
}
