import '../common/codable.dart';
import '../common/userid.dart';
import '../common/useridlist.dart';
import '../communities/communitiesentity.dart';

class CommunitiesIds extends Encodable {
  int? type;
  late List<String> ids;

  CommunitiesIds(int? type, List<String> ids) {
    this.type = type;
    this.ids = ids;
  }

  static CommunitiesIds topic(String id) {
    return CommunitiesIds(CommunitiesEntityType.topic, [id]);
  }

  static CommunitiesIds topics(List<String> ids) {
    return CommunitiesIds(CommunitiesEntityType.topic, ids);
  }

  static CommunitiesIds group(String id) {
    return CommunitiesIds(CommunitiesEntityType.group, [id]);
  }

  static CommunitiesIds groups(List<String> ids) {
    return CommunitiesIds(CommunitiesEntityType.group, ids);
  }

  static CommunitiesIds user(UserId id) {
    return CommunitiesIds(CommunitiesEntityType.user, [id.toString()]);
  }

  static CommunitiesIds users(UserIdList ids) {
    return CommunitiesIds(CommunitiesEntityType.user, ids.toStringList());
  }

  static CommunitiesIds label(String label) {
    return CommunitiesIds(CommunitiesEntityType.label, [label]);
  }

  static CommunitiesIds labels(List<String> labels) {
    return CommunitiesIds(CommunitiesEntityType.label, labels);
  }

  static CommunitiesIds tags(List<String> tags) {
    return CommunitiesIds(CommunitiesEntityType.tag, tags);
  }

  static CommunitiesIds tag(String tag) {
    return CommunitiesIds(CommunitiesEntityType.tag, [tag]);
  }

  static CommunitiesIds activity(String id) {
    return CommunitiesIds(CommunitiesEntityType.activity, [id]);
  }

  static CommunitiesIds timeline() {
    return CommunitiesIds(CommunitiesEntityType.app, ['timeline']);
  }

  static CommunitiesIds everywhere() {
    return CommunitiesIds(null, []);
  }

  Map<String, dynamic> toJSON() {
    return {'ids': ids, 'type': type};
  }
}
